Package com.google.android.exoplayer2.source.dash

## Class DefaultDashChunkSource.RepresentationSegmentIterator

- java.lang.Object
- - com.google.android.exoplayer2.source.chunk.BaseMediaChunkIterator
  - - com.google.android.exoplayer2.source.dash.DefaultDashChunkSource.RepresentationSegmentIterator

- All Implemented Interfaces:
    `MediaChunkIterator`
  Enclosing class:
    DefaultDashChunkSource

      protected static final class DefaultDashChunkSource.RepresentationSegmentIterator
      extends BaseMediaChunkIterator

  `MediaChunkIterator` wrapping a `DefaultDashChunkSource.RepresentationHolder`.

- - ### Field Summary

    - ### Fields inherited from interface com.google.android.exoplayer2.source.chunk.MediaChunkIterator

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RepresentationSegmentIterator​(DefaultDashChunkSource.RepresentationHolder representation, long firstAvailableSegmentNum, long lastAvailableSegmentNum, long nowPeriodTimeUs)` | Creates iterator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getChunkEndTimeUs()` | Returns the media end time of the chunk, in microseconds.
    `long` | `getChunkStartTimeUs()` | Returns the media start time of the chunk, in microseconds.
    `DataSpec` | `getDataSpec()` | Returns the `DataSpec` used to load the media chunk.

    - ### Methods inherited from class com.google.android.exoplayer2.source.chunk.BaseMediaChunkIterator

      `checkInBounds, getCurrentIndex, isEnded, next, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepresentationSegmentIterator

          public RepresentationSegmentIterator​(DefaultDashChunkSource.RepresentationHolder representation,
                                               long firstAvailableSegmentNum,
                                               long lastAvailableSegmentNum,
                                               long nowPeriodTimeUs)

      Creates iterator.
      Parameters:
        `representation` - The `DefaultDashChunkSource.RepresentationHolder` to wrap.
        `firstAvailableSegmentNum` - The number of the first available segment.
        `lastAvailableSegmentNum` - The number of the last available segment.
        `nowPeriodTimeUs` - The current time in microseconds since the start of the period used for calculating if segments are available at full network speed.

  - ### Method Detail

    - #### getDataSpec

          public DataSpec getDataSpec()

      Description copied from interface: `MediaChunkIterator`
      Returns the `DataSpec` used to load the media chunk.

    - #### getChunkStartTimeUs

          public long getChunkStartTimeUs()

      Description copied from interface: `MediaChunkIterator`
      Returns the media start time of the chunk, in microseconds.

    - #### getChunkEndTimeUs

          public long getChunkEndTimeUs()

      Description copied from interface: `MediaChunkIterator`
      Returns the media end time of the chunk, in microseconds.